| optoICC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.CapacitiveFeedback Class Reference
Inheritance diagram for optoICC.registers.icc_registers.CapacitiveFeedback:

## Public Member Functions
def | __init__ (self, board=None)
def | get_map_channel (self, channel, name)
def | set_reg (self, channel, name, value)
def | get_reg (self, channel, name)
def | get_value (self, channel)
def | get_value_id (self, channel)
def | get_cf_ref (self, channel)
def | sleep (self)
def | wakeup (self)
def | init (self)
def | start_readout (self)
def | stop_readout (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| cf_run
| cf_cb_a
| cf_cb_b
| cf_cb_c
| cf_a
| cf_b
| cf_c
| status_a
| status_b
| status_c
| devid_a
| devid_b
| devid_c
| muxcfg_a
| muxcfg_b
| muxcfg_c
| settle_a
| settle_b
| settle_c
| rcount_a
| rcount_b
| rcount_c
| resdev_a
| resdev_b
| resdev_c
| offset_a
| offset_b
| offset_c
| drvcur_a
| drvcur_b
| drvcur_c
| clkdiv_a
| clkdiv_b
| clkdiv_c
| config_a
| config_b
| config_c
| cf_ref_a
| cf_ref_b
| cf_ref_c
| name
| map_channelscf
| map_channels
| map_channelsref
| n_sensors

## Detailed Description

    Device Functionality - Capacitive Feedback
    System ID: 0x29

    *  | Address | Name        | Default Value | Description                                    |  Type  | Access     |
    *  |---------|-------------|---------------|------------------------------------------------|--------|------------|
    *  | 0x2900  | CFrunCB     | false (or 0)  | Enable/Disable sensors readout callbacks       | boolean| read write |
    *  | 0x2901  | CFvalCB_A   | N/A           | Capacitive sensor normalized value channel A   | float  | read only  |
    *  | 0x2902  | CFvalCB_B   | N/A           | Capacitive sensor normalized value channel B   | float  | read only  |
    *  | 0x2903  | CFvalCB_C   | N/A           | Capacitive sensor normalized value channel C   | float  | read only  |
    *  | 0x2904  | CFval_A     | N/A           | Capacitive sensor raw value channel A          | uint16 | read only  |
    *  | 0x2905  | CFval_B     | N/A           | Capacitive sensor raw value channel B          | uint16 | read only  |
    *  | 0x2906  | CFval_C     | N/A           | Capacitive sensor raw value channel C          | uint16 | read only  |
    *  | 0x2907  | STATUS_A    | N/A           | Device Status Reporting register channel A     | uint16 | read only  |
    *  | 0x2908  | STATUS_B    | N/A           | Device Status Reporting register channel B     | uint16 | read only  |
    *  | 0x2909  | STATUS_C    | N/A           | Device Status Reporting register channel C     | uint16 | read only  |
    *  | 0x290A  | DEVID_A     | 0x3054        | Device ID register channel A                   | uint16 | read only  |
    *  | 0x290B  | DEVID_B     | 0x3054        | Device ID register channel B                   | uint16 | read only  |
    *  | 0x290C  | DEVID_C     | 0x3054        | Device ID register channel C                   | uint16 | read only  |
    *  | 0x290D  | MUXCFG_A    | 0x020F        | Multiplexing Configuration register channel A  | uint16 | read write |
    *  | 0x290E  | MUXCFG_B    | 0x020F        | Multiplexing Configuration register channel B  | uint16 | read write |
    *  | 0x290F  | MUXCFG_C    | 0x020F        | Multiplexing Configuration register channel C  | uint16 | read write |
    *  | 0x2910  | SETTLE_A    | 0x0080        | Settling Reference Count register channel A    | uint16 | read write |
    *  | 0x2911  | SETTLE_B    | 0x0080        | Settling Reference Count register channel B    | uint16 | read write |
    *  | 0x2912  | SETTLE_C    | 0x0080        | Settling Reference Count register channel C    | uint16 | read write |
    *  | 0x2913  | RCOUNT_A    | 0x0080        | Reference Count register channel A             | uint16 | read write |
    *  | 0x2914  | RCOUNT_B    | 0x0080        | Reference Count register channel B             | uint16 | read write |
    *  | 0x2915  | RCOUNT_C    | 0x0080        | Reference Count register channel C             | uint16 | read write |
    *  | 0x2916  | RESDEV_A    | 0x0000        | Device Reset and Output Gain control channel A | uint16 | read write |
    *  | 0x2917  | RESDEV_B    | 0x0000        | Device Reset and Output Gain control channel B | uint16 | read write |
    *  | 0x2918  | RESDEV_C    | 0x0000        | Device Reset and Output Gain control channel C | uint16 | read write |
    *  | 0x2919  | OFFSET_A    | 0x0000        | Conversion Offset channel A                    | uint16 | read write |
    *  | 0x291A  | OFFSET_B    | 0x0000        | Conversion Offset channel B                    | uint16 | read write |
    *  | 0x291B  | OFFSET_C    | 0x0000        | Conversion Offset channel C                    | uint16 | read write |
    *  | 0x291C  | DRVCUR_A    | 0xCC40        | Current drive configuration channel A          | uint16 | read write |
    *  | 0x291D  | DRVCUR_B    | 0xCC40        | Current drive configuration channel B          | uint16 | read write |
    *  | 0x291E  | DRVCUR_C    | 0xCC40        | Current drive configuration channel C          | uint16 | read write |
    *  | 0x291F  | CLKDIV_A    | 0x1002        | Reference divider settings for channel A       | uint16 | read write |
    *  | 0x2920  | CLKDIV_B    | 0x1002        | Reference divider settings for channel B       | uint16 | read write |
    *  | 0x2921  | CLKDIV_C    | 0x1002        | Reference divider settings for channel C       | uint16 | read write |
    *  | 0x2922  | CONFIG_A    | 0x1C01        | Conversion Configuration channel A             | uint16 | read write |
    *  | 0x2923  | CONFIG_B    | 0x1C01        | Conversion Configuration channel B             | uint16 | read write |
    *  | 0x2924  | CONFIG_C    | 0x1C01        | Conversion Configuration channel C             | uint16 | read write |
    *  | 0x2925  | CFref_A     | N/A           | Capacitive sensor norm. ref. value channel A   | float  | read only  |
    *  | 0x2926  | CFref_B     | N/A           | Capacitive sensor norm. ref. value channel B   | float  | read only  |
    *  | 0x2927  | CFref_C     | N/A           | Capacitive sensor norm. ref. value channel C   | float  | read only  |
    *  |---------|-------------|---------------|------------------------------------------------|--------|------------|
    */

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.CapacitiveFeedback.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ get_cf_ref()

def optoICC.registers.icc_registers.CapacitiveFeedback.get_cf_ref | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_map_channel()

def optoICC.registers.icc_registers.CapacitiveFeedback.get_map_channel | ( |  | self,
|  |  | channel,
|  |  | name
| ) |  |

## ◆ get_reg()

def optoICC.registers.icc_registers.CapacitiveFeedback.get_reg | ( |  | self,
|  |  | channel,
|  |  | name
| ) |  |

## ◆ get_value()

def optoICC.registers.icc_registers.CapacitiveFeedback.get_value | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_value_id()

def optoICC.registers.icc_registers.CapacitiveFeedback.get_value_id | ( |  | self,
|  |  | channel
| ) |  |

## ◆ help()

def optoICC.registers.icc_registers.CapacitiveFeedback.help | ( |  | ) |
| static

## ◆ init()

def optoICC.registers.icc_registers.CapacitiveFeedback.init | ( |  | self | ) |

## ◆ set_reg()

def optoICC.registers.icc_registers.CapacitiveFeedback.set_reg | ( |  | self,
|  |  | channel,
|  |  | name,
|  |  | value
| ) |  |

## ◆ sleep()

def optoICC.registers.icc_registers.CapacitiveFeedback.sleep | ( |  | self | ) |

## ◆ start_readout()

def optoICC.registers.icc_registers.CapacitiveFeedback.start_readout | ( |  | self | ) |

## ◆ stop_readout()

def optoICC.registers.icc_registers.CapacitiveFeedback.stop_readout | ( |  | self | ) |

## ◆ wakeup()

def optoICC.registers.icc_registers.CapacitiveFeedback.wakeup | ( |  | self | ) |

## Member Data Documentation

## ◆ cf_a

optoICC.registers.icc_registers.CapacitiveFeedback.cf_a

## ◆ cf_b

optoICC.registers.icc_registers.CapacitiveFeedback.cf_b

## ◆ cf_c

optoICC.registers.icc_registers.CapacitiveFeedback.cf_c

## ◆ cf_cb_a

optoICC.registers.icc_registers.CapacitiveFeedback.cf_cb_a

## ◆ cf_cb_b

optoICC.registers.icc_registers.CapacitiveFeedback.cf_cb_b

## ◆ cf_cb_c

optoICC.registers.icc_registers.CapacitiveFeedback.cf_cb_c

## ◆ cf_ref_a

optoICC.registers.icc_registers.CapacitiveFeedback.cf_ref_a

## ◆ cf_ref_b

optoICC.registers.icc_registers.CapacitiveFeedback.cf_ref_b

## ◆ cf_ref_c

optoICC.registers.icc_registers.CapacitiveFeedback.cf_ref_c

## ◆ cf_run

optoICC.registers.icc_registers.CapacitiveFeedback.cf_run

## ◆ clkdiv_a

optoICC.registers.icc_registers.CapacitiveFeedback.clkdiv_a

## ◆ clkdiv_b

optoICC.registers.icc_registers.CapacitiveFeedback.clkdiv_b

## ◆ clkdiv_c

optoICC.registers.icc_registers.CapacitiveFeedback.clkdiv_c

## ◆ config_a

optoICC.registers.icc_registers.CapacitiveFeedback.config_a

## ◆ config_b

optoICC.registers.icc_registers.CapacitiveFeedback.config_b

## ◆ config_c

optoICC.registers.icc_registers.CapacitiveFeedback.config_c

## ◆ devid_a

optoICC.registers.icc_registers.CapacitiveFeedback.devid_a

## ◆ devid_b

optoICC.registers.icc_registers.CapacitiveFeedback.devid_b

## ◆ devid_c

optoICC.registers.icc_registers.CapacitiveFeedback.devid_c

## ◆ drvcur_a

optoICC.registers.icc_registers.CapacitiveFeedback.drvcur_a

## ◆ drvcur_b

optoICC.registers.icc_registers.CapacitiveFeedback.drvcur_b

## ◆ drvcur_c

optoICC.registers.icc_registers.CapacitiveFeedback.drvcur_c

## ◆ map_channels

optoICC.registers.icc_registers.CapacitiveFeedback.map_channels

## ◆ map_channelscf

optoICC.registers.icc_registers.CapacitiveFeedback.map_channelscf

## ◆ map_channelsref

optoICC.registers.icc_registers.CapacitiveFeedback.map_channelsref

## ◆ muxcfg_a

optoICC.registers.icc_registers.CapacitiveFeedback.muxcfg_a

## ◆ muxcfg_b

optoICC.registers.icc_registers.CapacitiveFeedback.muxcfg_b

## ◆ muxcfg_c

optoICC.registers.icc_registers.CapacitiveFeedback.muxcfg_c

## ◆ n_sensors

optoICC.registers.icc_registers.CapacitiveFeedback.n_sensors

## ◆ name

optoICC.registers.icc_registers.CapacitiveFeedback.name

## ◆ offset_a

optoICC.registers.icc_registers.CapacitiveFeedback.offset_a

## ◆ offset_b

optoICC.registers.icc_registers.CapacitiveFeedback.offset_b

## ◆ offset_c

optoICC.registers.icc_registers.CapacitiveFeedback.offset_c

## ◆ rcount_a

optoICC.registers.icc_registers.CapacitiveFeedback.rcount_a

## ◆ rcount_b

optoICC.registers.icc_registers.CapacitiveFeedback.rcount_b

## ◆ rcount_c

optoICC.registers.icc_registers.CapacitiveFeedback.rcount_c

## ◆ resdev_a

optoICC.registers.icc_registers.CapacitiveFeedback.resdev_a

## ◆ resdev_b

optoICC.registers.icc_registers.CapacitiveFeedback.resdev_b

## ◆ resdev_c

optoICC.registers.icc_registers.CapacitiveFeedback.resdev_c

## ◆ settle_a

optoICC.registers.icc_registers.CapacitiveFeedback.settle_a

## ◆ settle_b

optoICC.registers.icc_registers.CapacitiveFeedback.settle_b

## ◆ settle_c

optoICC.registers.icc_registers.CapacitiveFeedback.settle_c

## ◆ status_a

optoICC.registers.icc_registers.CapacitiveFeedback.status_a

## ◆ status_b

optoICC.registers.icc_registers.CapacitiveFeedback.status_b

## ◆ status_c

optoICC.registers.icc_registers.CapacitiveFeedback.status_c

## ◆ sys_id

optoICC.registers.icc_registers.CapacitiveFeedback.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py